<?php
declare(strict_types=1);

namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class Delete_Address_Response extends Abstract_Response {

    protected string $address_type = '';
    protected array  $addresses    = [];

    public function set_address_type( string $type ): void {
        $this->address_type = $type;
    }

    public function set_addresses( array $list ): void {
        $this->addresses = $list;
    }

    protected function get_array(): array {
        return [
            'address_type' => $this->address_type,
            'addresses'    => $this->addresses,
        ];
    }
}
